import {FC, useState} from "react";
import {Swiper, SwiperItem, View} from "@tarojs/components";
import styles from '../home.module.scss'
import Taro from "@tarojs/taro";

interface DataContent {
  id: number,
  title: string,
  Description: string
}

interface Data {
  title: string,
  url: string,
  data: DataContent[]
}

const FeatureRecommended: FC = () => {
  const [data] = useState<Data[]>([
    {title: "品牌TOP3", url: '', data: []},
    {title: "健康", url: '', data: []},
    {title: "专业技能", url: '', data: []},
    {title: "疾病知识", url: '', data: []},
  ])

  function jump(url: string) {
    Taro.navigateTo({url})
  }


  return (
    <View className={styles.featureRecommended}>
      <Swiper nextMargin='30px'>
        {
          data.map(d => <SwiperItem>
            <View onClick={() => jump(d.url)}>{d.title}</View>
          </SwiperItem>)
        }
      </Swiper>
    </View>
  )
}
export default FeatureRecommended
